# -*- coding: utf8 -*-
import json
import threading
import random
import re
import time, datetime
import yaml
import nacos

nacos_canshu="""
    dubbo:
        application:
            id: AnalysisProvider
            qos-enable: false
        registry:
            address: nacos://192.168.2.160:8848?namespace=69050ffd-4988-4ee0-b3d1-452518b6201c&username=nacos&password=nacos&payload=104857600
            parameters:
                namespace: 69050ffd-4988-4ee0-b3d1-452518b6201c
            simplified: true
            extra-keys: payload
            payload: 104857600
        service:
            check: false
            version: 1.0.0
        protocol:
            name: dubbo
            port: -1
            serialization: kryo
            payload: 104857600
        provider:
            timeout: 60000
            payload: 104857600
    server:
        port: 8860
    spring:
        application:
            name: AnalysisProvider
        cloud:
            nacos:
                discovery:
                    server-addr: 192.168.2.160:8848
                    username: nacos
                    password: nacos
        data:
            mongodbConfig:
                - plat : 192.168.2.180
                  uri: mongodb://192.168.2.180:32769/edata
                  user:
                  password:
                - plat : 192.168.2.169
                  uri: mongodb://192.168.2.180:32769/edata

                - plat: 192.168.2.160
                  uri: mongodb://192.168.2.180:32769/edata_160
                - plat: 192.168.2.182
                  uri: mongodb://192.168.2.180:32769/edata

    """

SERVER_ADDRESSES="192.168.2.160:8848"
NAMESPACE="69050ffd-4988-4ee0-b3d1-452518b6201c"
data_id="AnalysisProvider.yaml"
group="DEFAULT_GROUP"

def nacos_py():
    nacos_client=nacos.NacosClient(SERVER_ADDRESSES, namespace=NAMESPACE, username="nacos", password="nacos")
    # nacos_client.set_debugging()
    # get config
    nacos_config=nacos_client.get_config(data_id, group, 5000)
    # print(type(nacos_config))
    # print(nacos_config)

    cs_text=yaml.load(nacos_config)
    print(type(cs_text))
    # print(cs_text["spring"]["data"]["mongodbConfig")
    print(cs_text["spring"]["data"]["mongodbConfig"])
    # cs_text=cs_text.partition("mongodbConfig:")
    # cs_new=cs_text[2].replace(' ', '')
    # cs_new=cs_new.replace('\n', '')
    # cs_new=cs_new.replace('\r', '')
    # cs_new=cs_new.replace('-', '')
    # cs_new=cs_new.split("plat:")
    #
    # cs_data={}
    # for i in cs_new:
    #     if i!="":
    #         cs_list=i.split("uri:mongodb://")
    #         cs_data[cs_list[0]]=cs_list[1]
    # # print(cs_data)
    # return(cs_data)

def text_extract(cs_text):
    cs_list=[]
    cs_data={}
    cs_text=cs_text.partition("mongodbConfig:")
    cs_new=cs_text[2].replace(' ','')
    cs_new=cs_new.replace('\n','')
    cs_new=cs_new.replace('-','')
    cs_new=cs_new.split("plat:")

    print(cs_new)
    for i in cs_new:
        if i!="":
            cs_list=i.split("uri:mongodb://")
            cs_data[cs_list[0]]=cs_list[1]
    print(cs_data)



if __name__=="__main__":
    # 从返回结果来看，有登录成功
    # text_extract(nacos_canshu)
    nacos_py()
