#!/usr/bin/env python
# -*- coding:utf-8 -*-


from controllers.createhandlers import MyTestHandler, CreateProjectHandler
from controllers.analysishandlers import *

urls = list()

testUrls = [(r'/index', MyTestHandler), ]

createUrls = [
    (r'/CreateProject', CreateProjectHandler),
]

updateUrls = [
    (r'/CreateProject', CreateProjectHandler),
]

deleteUrls = [
    (r'/CreateProject', CreateProjectHandler),
]

showUrls = [
    (r'/CreateProject', CreateProjectHandler),
]

analysisUrls = [

    # -----<频次分析>----- #
    (r'/analysis/frequency', FrequencyHandler),

    # -----<均值: 描述性统计分析>----- #
    (r'/analysis/means', MeansHandler),

    # -----<多重响应分析>----- #
    (r'/analysis/multipleresponse', MultipleResponseHandler),

    # -----<交叉表：列联表分析>----- #
    (r'/analysis/crosstabs', CrosstabsHandler),

    # -----<比较均值>----- #
    (r'/analysis/compareMeans', CompareMeansHandler),

    # -----<方差>----- #
    (r'/analysis/variance', VarianceHandler),

    # -----<卡方>----- #
    (r'/analysis/chiSquare2way', ChiSquare2way),

    # -----<一般线性回归>----- #
    (r'/analysis/linearRegression', LinearRegressionHandler),

    # -----<独立样本t检验>----- #
    (r'/analysis/tTest', Ttest_indResultHandler),

    # -----<单样本t检验>----- #
    (r'/analysis/singleSampleTtest', SingleSampleTtestHandler),

    # -----<配对样本t检验>----- #
    (r'/analysis/pairedSamplesTest', PairedSamplesTestHandler), # pairedSamplesTest

    # -----<相关分析>----- #
    (r'/analysis/correlation', CorrelationAnalysisHandler),

    # ------<二元LogisticsRegression回归分析>----- #  (返回id)
    (r'/analysis/twoDimensionalLogistic', TwoDimensionalLogisticRegressionHandler),

    # ------<词频分析>----- #
    (r'/analysis/wordFrequency', wordFrequencyHandler),

    # ------<正态分布检验>----- #
    (r'/analysis/normality', NormalityHandler),
]

downFileUrls = [
    (r'/CreateProject', CreateProjectHandler),
]

urls += testUrls + analysisUrls
